version: '3'

services:
  zalenium:
    image: "dosel/zalenium"
    container_name: zalenium
    hostname: zalenium
    tty: true
    volumes:
      - /tmp/videos:/home/seluser/videos
      - /var/run/docker.sock:/var/run/docker.sock
      - /usr/bin/docker:/usr/bin/docker
    ports:
      - 4444:4444
    command: >
      start --desiredContainers 4
            --maxDockerSeleniumContainers 8
            --screenWidth 800 --screenHeight 600
            --timeZone "Europe/London"
            --videoRecordingEnabled true
            --sauceLabsEnabled false
            --browserStackEnabled false
            --testingBotEnabled false
            --cbtEnabled false
            --lambdaTestEnabled false
            --startTunnel false
    environment:
      - HOST_UID
      - HOST_GID
      - SAUCE_USERNAME
      - SAUCE_ACCESS_KEY
      - BROWSER_STACK_USER
      - BROWSER_STACK_KEY
      - TESTINGBOT_KEY
      - TESTINGBOT_SECRET
      - CBT_USERNAME
      - CBT_AUTHKEY
      - LT_USERNAME
      - LT_ACCESS_KEY